Bug 1021249 - Keyboard scrolling in html email broken after clicking on link
Keyboard scrolling in html email broken after clicking on link
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk3 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 14:11 EDT by bugzilla.redhat.com-981570
Modified: 2015-02-17 12:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:45:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bugzilla.redhat.com-981570 2013-10-20 14:11:32 EDT
Description of problem:
Scrolling using the cursor keys or page up/down in an html email does not work after I have clicked anywhere in the email body.

Version-Release number of selected component (if applicable):
Name        : evolution
Arch        : x86_64
Version     : 3.8.5
Release     : 2.fc19


How reproducible: For me always reproducible as follows:
1. Open an HTML email in a new window that is bigger than what fits on a screen
2. Scroll around using the keyboard (works)
3. Click inside the email body
4. Try to scroll using the keyboard (does not work).
Workaround: Clicking on text, switching to other windows and back again does not help. The only workaround is to click on the small light-grey area next to the scroll bar or on the other side of the email text. After that, the scrolling works again

Actual results:
Scrolling does not work in step 4.

Expected results:
Scrolling should work in step 4.
Comment 1 Milan Crha 2013-11-05 04:02:24 EST
Thanks for a bug report. It seems like a webkitgtk3 bug for me, it doesn't propagate the key events from an inner iframe into its parent properly, probably.

Tomas, could you look on this, please?
Comment 2 Fedora End Of Life 2015-01-09 15:19:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:45:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.